Market cap search
curl --request GET \
--url https://www.sharpe.ai/api/v1/market-cap/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/market-cap/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/market-cap/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"assets": [
{
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"assetClass": "crypto",
"price": 123,
"marketCap": 123,
"dayReturn": 123,
"image": "<string>",
"fdv": 123,
"ath": 123,
"athMarketCap": 123
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Market Data
Market cap search
Search crypto and supported TradFi assets by name or ticker. Returns up to 20 matching assets with asset class, market cap, nullable price and day return, plus nullable crypto FDV and estimated ATH fields.
GET
/
v1
/
market-cap
/
search
Market cap search
curl --request GET \
--url https://www.sharpe.ai/api/v1/market-cap/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/market-cap/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/market-cap/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"assets": [
{
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"assetClass": "crypto",
"price": 123,
"marketCap": 123,
"dayReturn": 123,
"image": "<string>",
"fdv": 123,
"ath": 123,
"athMarketCap": 123
}
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Authorizations
BearerAuthApiKeyAuth

